Skip to main content
POST
cURL
This endpoint returns HTTP 200 (not 201). The checkout session is created and returned in the response body.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Body

application/json
amount
object
required
Example:
country
string
required

ISO 3166-1 alpha-2 country code

Pattern: ^[A-Z]{2}$
Example:

"BR"

merchant_order_id
string
required

Your unique order identifier

Example:

"order-001"

account_id
string
required

Your Yuno account identifier. Same value as your account-code from the Dashboard.

Example:

"your-account-id"

payment_description
string
required

Description of the payment. Required for checkout session creation.

Example:

"Premium subscription - March 2026"

customer_id
string<uuid>

Optional existing customer ID

Example:

"c9d0e1f2-3a4b-5c6d-7e8f-9a0b1c2d3e4f"

workflow
enum<string>

Integration workflow type

Available options:
SDK_CHECKOUT,
SDK_LITE,
SDK_SEAMLESS,
SDK_HEADLESS,
DIRECT
Example:

"SDK_CHECKOUT"

callback_url
string<uri>

URL to receive server-side payment notifications

Example:

"https://merchant.com/webhooks/yuno"

return_url
string<uri>

URL to redirect the customer after payment completion (required for 3DS, PIX, and redirect-based methods)

Example:

"https://merchant.com/checkout/complete"

metadata
object

Custom key-value pairs for storing additional information. Keys and values must be strings. Maximum 50 keys, each key max 40 characters, each value max 500 characters.

Example:

Response

Checkout session created successfully

checkout_session
string<uuid>

The checkout session identifier

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

amount
object
Example:
country
string

ISO 3166-1 alpha-2 country code

Example:

"BR"

merchant_order_id
string

Your unique order identifier

Example:

"order-20260301-001"

status
string

Session status

Example:

"ACTIVE"

created_at
string<date-time>

Session creation timestamp

Example:

"2026-03-01T14:30:00.000Z"

payment_methods
object[]

Available payment methods for this session

callback_url
string<uri>

URL to receive server-side payment notifications

Example:

"https://merchant.com/webhooks/yuno"

return_url
string<uri>

URL to redirect the customer after payment completion (required for 3DS, PIX, and redirect-based methods)

Example:

"https://merchant.com/checkout/complete"